Subject: bug#79116: 31.0.50; Crash on IGC build

From: Helmut Eller <[email-masked]>
Date: Fri, 01 Aug 2025 15:31:16 +0200

On Fri, Aug 01 2025, Eli Zaretskii wrote:

>> Objects that allocated on the GC heap and automatically freed are
>> GC-managed.
>
> That answers the first question I asked, but not the second one, which
> is what is important in practice.

Then I don't know the answer.

[...]
>> However, I have a bunch of benchmarks and those are executed inside GNU
>> screen [*].  I don't claim that the benchmarks are good or relevant or
>> anything.  For the longest time I didn't even know that batch mode uses
>> a different gc-cons-percentage.  Doh!  The results, with all its
>> badness, are:
>
> The "real" data seems to contradict what both Gerd and myself see in
> interactive usage: the pause times, such as they are, in the igc
> branch are significantly shorter, almost as if they didn't exist.

Well, you didn't define let alone quantify pause times.

>> > My anecdotal evidence from running the igc branch is unambiguous: it
>> > is significantly less "stuttering" than the master branch.
>> 
>> Is that with gc-cons-percentage = 0.1?
>
> I compare "emacs -Q", so yes.

With gc-cons-percentage = 0.1 the GC runs very often.  Bigger values
would likely have better performance.

Helmut